Bug 171398 - Incomplete dependency on cups-libs
Incomplete dependency on cups-libs
Status: CLOSED DEFERRED
Product: Fedora Legacy
Classification: Retired
Component: cups (Show other bugs)
rhl9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
DEFER
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-21 11:35 EDT by Klaas Gadeyne
Modified: 2007-04-18 13:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-13 10:48:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Klaas Gadeyne 2005-10-21 11:35:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20051010 Firefox/1.0.7 (Ubuntu package 1.0.7)

Description of problem:
the above cups version only depends on cups-libs with version 1.1.17

[root@pc00136 ~]$
$ rpm -q --requires cups | grep cups
config(cups) = 1:1.1.17-13.3.0.14.legacy
cups-libs = 1:1.1.17
libcups.so.2
libcupsimage.so.2

However, I had an older redhat version of cups and cups-libs installed, also a 1.1.17.  Issuing a "yum update cups" resulted in the updating of cups, but not of cups-libs.

This resulted in an unresolved symbol when starting cups. Explicitly upgrading cups-libs fixed the problem.


Version-Release number of selected component (if applicable):
cups-1.1.17-13.3.0.14.legacy

How reproducible:
Always

Steps to Reproduce:
Start cupsd -f with older cups-lib

  

Additional info:
Comment 1 Pekka Savola 2005-11-16 08:33:59 EST
This doesn't seem to be important enough to fix just on its own, so mark it DEFER.

Note You need to log in before you can comment on or make changes to this bug.